CHREIPL(8)

NAME
chreipl - change the re-IPL configuration for Linux on System z

SYNOPSIS
chreipl [TARGET] [OPTIONS]

DESCRIPTION
Use the chreipl tool to modify the re-IPL configuration for Linux on System z. You can configure a certain boot device and, for zipl boot menu configurations, the boot menu entry that will be used for the next reboot. Also kernel parameters for the next Linux kernel can be defined. Initial program load (IPL) is the mainframe synonym for what is called "boot" under Linux. Accordingly re-IPL can be translated to "reboot" in the non-mainframe context. Normally for reboot the last IPL device is used to restart the system. To reboot from another IPL device, you first have to change the re-IPL settings with chreipl and then run the reboot(8) command. All settings made with chreipl are preserved over reboots until they are changed again.

TARGET
The first argument specifies the re-IPL target:

    - ccw:
        Specify a DASD CCW device for reboot

    - fcp:
        Specify a FCP device for reboot

    - nss:
        Specify a named saved system (NSS) for reboot

    - node:
        Specify a device for reboot using a device node or directory

If the target specification is non-ambiguous it can be omitted. See section AUTOTARGET for more information. Ambiguous setups are very rare, e.g. the name of a device node theoretically could be the same as a bus-ID.

OPTIONS

-f or --force
    With this option, you can force the re-IPL from a target device even if the target cannot be verified by the system. This is the case, for example, if the device is on the cio_ignore blacklist. Note: Use this option with great care. You can specify non-existing devices, which will cause the re-IPL to fail.

-p or --bootparms
    Specifies boot parameters for the next reboot. The boot parameters which are typically kernel parameters are appended to the kernel parameter line. If you specify the boot parameters with a leading equal sign (=), the boot parameters replace all parameters on the kernel parameter line. To remove boot parameters, specify an empty string for this option. Depending on the chreipl target a different maximum number of characters is allowed for boot parameters. Under LPAR it is not possible to specify boot parameters for the ccw target. Note: When replacing all parameters, you might inadvertently omit parameters that the boot configuration requires. Read /proc/cmdline to find out with which parameters a running Linux instance has been started.

-h or --help
    Print help information, then exit.

-v or --version
    Print version information, then exit.

All other options are specific to the re-IPL target and are discussed below in the respective section. For a more detailed description of the Linux on System z IPL mechanisms see zipl.conf(6). The mandatory options (e.g. device, wwpn, lun, etc.) can also be specified as positional parameters.

AUTOTARGET
For the ccw, fcp, and node targets chreipl can find automatically the correct re-IPL target. To do this, omit the re-IPL target parameter and start specifying the required positional parameters.

Examples:
1. Next time reboot from the DASD device /dev/dasda using the first boot configuration:
# chreipl /dev/dasda -L 1
2. Next time reboot from the CCW device with the bus-ID 0.0.7e78 and empty loadparm: # chreipl 0.0.7e78 3. Next time reboot from the SCSI disk with FCP bus-ID 0.0.1700, WWPN 0x500507630300c562, and LUN 0x401040b300000000. In addition to that append kernel parameter "mem=" to restrict memory to 512 MB: # chreipl 0.0.1700 0x500507630300c562 0x401040b300000000 -p "mem=512M"

ccw
Use the ccw re-IPL target for DASD devices that are accessed by the hardware using channel command word (CCW) channels.

-d or --device
    Specifies the CCW bus-ID. If the bus-ID starts with "0.0." this prefix can be omitted and the four digit short notation can be used (e.g. 5000 is the same as 0.0.5000).

-L or --loadparm
    Specifies an entry in the zipl(8) boot menu. If this option is omitted, the default menu entry is used.

Examples:
1. Next time reboot from the CCW device with the bus-ID 0.0.7e78 and empty loadparm: # chreipl ccw 0.0.7e78 2. Next time reboot from the CCW device with the bus-ID 0.0.7e78 using the first entry of the zipl boot menu: # chreipl ccw -d 0.0.7e78 -L 1

fcp
Use the fcp re-IPL target for SCSI disks that are accessed by the hardware using Fibre Channel Protocol (FCP) channels.

-d or --device
    Specifies the bus-ID of the FCP adapter that should be used to access the SCSI re-IPL device. If the bus-ID starts with "0.0." this prefix can be omitted and the four digit short notation can be used (e.g. 5000 is the same as 0.0.5000).

-w or --wwpn
    Specifies the world wide port name (WWPN) for the FCP attached SCSI disk.

-l or --lun
    Specifies the logical unit number (LUN) for the FCP attached SCSI disk.

-b or --bootprog
    Specifies an entry in the FCP boot configuration by defining the IPL boot program selector. If omitted, '0' will be used.

-L or --loadparm
    The loadparm for the fcp re-IPL target is not used to control the FCP boot configuration that is defined by the zipl(8) boot menu. Instead it can be used to control higher level boot loaders like GRUB. For more details refer to distribution specific documentation.

Examples:
1. Next time reboot from the SCSI disk with FCP bus-ID 0.0.1700, WWPN 0x500507630300c562, LUN 0x401040b300000000, and boot program selector 0:
# chreipl fcp 0.0.1700 0x500507630300c562 0x401040b300000000
2. Use same configuration as (1) but choose boot program selector 2 and use options instead of positional parameters:
# chreipl fcp -d 0.0.1700 -w 0x5005076... -l 0x401040b3... -b 2

nss
Use the nss re-IPL target to specify z/VM named saved systems (NSS) for reboot.

-n or --name
    Specifies the name of the NSS.

Examples:
Use the NSS named LINUX1 for the next reboot: # chreipl nss LINUX1

node
You can identify DASD or SCSI re-IPL devices indirectly through a device node or directory. The chreipl tool then determines the information that you would otherwise have to specify with the ccw or fcp target.

Examples:
1. Next time reboot from the DASD device /dev/dasda:
# chreipl node /dev/dasda
2. Next time reboot from the SCSI disk /dev/sda:
# chreipl node /dev/sda 3. Next time reboot from the device where directory /mnt/boot is located:
# chreipl node /mnt/boot

SEE ALSO
lsreipl(8), zipl(8), zipl.conf(5), reboot(8)